;************************************************
;	   Boot Loader EEPROM code 
;    (c) Andras Bognar The Quenne Electric
;	    PIC-I8085 Micro System
;************************************************

;Loading 4 sectors (2KB) to I8085 conventional RAM
NOP
NOP
MVI H,0FFH;	;stack
MVI L,0FFH
SPHL
MVI H,01H
MVI L,00H
MVI D,01H	;sec

nextsec: MVI A,26H
OUT 00H
MOV A,D
OUT 00H
MVI A,00H
OUT 00H
MVI A,00H
OUT 00H
MVI A,0AH	;hd
OUT 00H
MVI C,00H	;read(256X)
nextd: NOP
IN 00H
MOV M,A
INX H
IN 00H
MOV M,A
INX H
DCR C
JNZ nextd
INR D
MVI A,05H
CMP D
JNZ nextsec

;MVI A,27H	;stop winchester
;OUT 00H
JMP 0100H	;jmp code

END